Patch "selftests: mptcp: userspace pm: skip if not supported" has been added to the 6.3-stable tree

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



This is a note to let you know that I've just added the patch titled

    selftests: mptcp: userspace pm: skip if not supported

to the 6.3-stable tree which can be found at:
    http://www.kernel.org/git/?p=linux/kernel/git/stable/stable-queue.git;a=summary

The filename of the patch is:
     selftests-mptcp-userspace-pm-skip-if-not-supported.patch
and it can be found in the queue-6.3 subdirectory.

If you, or anyone else, feels it should not be added to the stable tree,
please let <stable@xxxxxxxxxxxxxxx> know about it.


>From f90adb033891d418c5dafef34a9aa49f3c860991 Mon Sep 17 00:00:00 2001
From: Matthieu Baerts <matthieu.baerts@xxxxxxxxxxxx>
Date: Thu, 8 Jun 2023 18:38:55 +0200
Subject: selftests: mptcp: userspace pm: skip if not supported

From: Matthieu Baerts <matthieu.baerts@xxxxxxxxxxxx>

commit f90adb033891d418c5dafef34a9aa49f3c860991 upstream.

Selftests are supposed to run on any kernels, including the old ones not
supporting all MPTCP features.

One of them is the MPTCP Userspace PM introduced by commit 4638de5aefe5
("mptcp: handle local addrs announced by userspace PMs").

We can skip all these tests if the feature is not supported simply by
looking for the MPTCP pm_type's sysctl knob.

Link: https://github.com/multipath-tcp/mptcp_net-next/issues/368
Fixes: 259a834fadda ("selftests: mptcp: functional tests for the userspace PM type")
Cc: stable@xxxxxxxxxxxxxxx
Signed-off-by: Matthieu Baerts <matthieu.baerts@xxxxxxxxxxxx>
Signed-off-by: Jakub Kicinski <kuba@xxxxxxxxxx>
Signed-off-by: Greg Kroah-Hartman <gregkh@xxxxxxxxxxxxxxxxxxx>
---
 tools/testing/selftests/net/mptcp/userspace_pm.sh |    5 +++++
 1 file changed, 5 insertions(+)

--- a/tools/testing/selftests/net/mptcp/userspace_pm.sh
+++ b/tools/testing/selftests/net/mptcp/userspace_pm.sh
@@ -5,6 +5,11 @@
 
 mptcp_lib_check_mptcp
 
+if ! mptcp_lib_has_file '/proc/sys/net/mptcp/pm_type'; then
+	echo "userspace pm tests are not supported by the kernel: SKIP"
+	exit ${KSFT_SKIP}
+fi
+
 ip -Version > /dev/null 2>&1
 if [ $? -ne 0 ];then
 	echo "SKIP: Cannot not run test without ip tool"


Patches currently in stable-queue which might be from matthieu.baerts@xxxxxxxxxxxx are

queue-6.3/selftests-mptcp-join-fix-shellcheck-warnings.patch
queue-6.3/selftests-mptcp-join-support-rm_addr-for-used-endpoints-or-not.patch
queue-6.3/selftests-mptcp-pm-nl-skip-fullmesh-flag-checks-if-not-supported.patch
queue-6.3/selftests-mptcp-lib-skip-if-missing-symbol.patch
queue-6.3/selftests-mptcp-join-skip-fullmesh-flag-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-connect-skip-tfo-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-join-skip-fastclose-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-remove-duplicated-entries-in-usage.patch
queue-6.3/selftests-mptcp-sockopt-skip-getsockopt-checks-if-not-supported.patch
queue-6.3/selftests-mptcp-join-skip-backup-if-set-flag-on-id-not-supported.patch
queue-6.3/selftests-mptcp-join-skip-mixed-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-userspace-pm-skip-if-ip-tool-is-unavailable.patch
queue-6.3/selftests-mptcp-join-helpers-to-skip-tests.patch
queue-6.3/selftests-mptcp-lib-skip-if-not-below-kernel-version.patch
queue-6.3/selftests-mptcp-userspace-pm-skip-if-not-supported.patch
queue-6.3/selftests-mptcp-join-uniform-listener-tests.patch
queue-6.3/selftests-mptcp-diag-skip-listen-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-sockopt-skip-tcp_inq-checks-if-not-supported.patch
queue-6.3/selftests-mptcp-join-skip-test-if-iptables-tc-cmds-fail.patch
queue-6.3/selftests-mptcp-join-skip-implicit-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-userspace-pm-skip-pm-listener-events-tests-if-unavailable.patch
queue-6.3/selftests-mptcp-join-skip-fail-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-sockopt-relax-expected-returned-size.patch
queue-6.3/selftests-mptcp-pm-nl-remove-hardcoded-default-limits.patch
queue-6.3/selftests-mptcp-join-skip-check-if-mib-counter-not-supported.patch
queue-6.3/selftests-mptcp-diag-skip-inuse-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-join-use-iptables-legacy-if-available.patch
queue-6.3/selftests-mptcp-join-support-local-endpoint-being-tracked-or-not.patch
queue-6.3/selftests-mptcp-join-skip-userspace-pm-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-connect-skip-transp-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-join-skip-mpc-backups-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-join-skip-pm-listener-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-connect-skip-disconnect-tests-if-not-supported.patch



[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Index of Archives]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux